## org.hibernate.service.jta.platform.internal
Class JtaPlatformInitiator

    java.lang.Object
      org.hibernate.service.jta.platform.internal.JtaPlatformInitiator

All Implemented Interfaces:
  BasicServiceInitiator<JtaPlatform>, ServiceInitiator<JtaPlatform>

    public class JtaPlatformInitiator

extends Object
implements BasicServiceInitiator<JtaPlatform>

Standard initiator for the standard `JtaPlatform`

Field Summary
`static JtaPlatformInitiator` `INSTANCE`

Constructor Summary
`JtaPlatformInitiator()`

Method Summary
`Class<JtaPlatform>` `getServiceInitiated()` Obtains the service role initiated by this initiator.
`JtaPlatform` `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JtaPlatformInitiator INSTANCE

Constructor Detail

### JtaPlatformInitiator

    public JtaPlatformInitiator()

Method Detail

### getServiceInitiated

    public Class<JtaPlatform> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<JtaPlatform>`
  Returns:
    The service role.

### initiateService

    public JtaPlatform initiateService(Map configurationValues,
                                       ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<JtaPlatform>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.